rte_pmd_mlx5_driver_event_cb_queue_info(3)

NAME
rte_pmd_mlx5_driver_event_cb_queue_info

SYNOPSIS

#include <rte_pmd_mlx5.h>

  Data Fields

uint16_t dpdk_queue_id
uint32_t hw_queue_id
const char * queue_info

Detailed Description

Information about the queue for which driver event is being called.

Definition at line 436 of file rte_pmd_mlx5.h.

Field Documentation

  uint16_t dpdk_queue_id
DPDK queue index.

Definition at line 438 of file rte_pmd_mlx5.h.

  uint32_t hw_queue_id
HW queue identifier (DevX object ID).

Definition at line 440 of file rte_pmd_mlx5.h.

  const char* queue_info
Low-level HW configuration of the port related to the queue. This configuration is presented as a string with "key=value" pairs, separated by commas. This string is owned by mlx5 PMD and should not be freed by the user, and should be copied to the memory owned by the user.

For RTE_PMD_MLX5_DRIVER_EVENT_CB_TYPE_RXQ_CREATE this will contain:

•   lro_timeout - Configured timeout of LRO session in microseconds. Set to 0 if LRO is not configured.

•   max_lro_msg_size - Maximum size of a single LRO message. Provided in granularity of 256 bytes. Set to 0 if LRO is not configured.

•   td - Identifier of transport domain allocated from HW (DevX object ID).

•   lbpk - Set to 1 if loopback is enabled on the given queue

For all other events, this field will be set to NULL.

Definition at line 460 of file rte_pmd_mlx5.h.

Author

Generated automatically by Doxygen for DPDK from the source code.